CATMAN(8)

NAME
catman - update a man.cgi manpage cache

SYNOPSIS
catman [-fv] [-C file] [-M manpath] [-m manpath] [-o path]

DESCRIPTION
The catman utility updates cached manpages for a jailed man.cgi(7).

By default, catman searches for mandocdb(8) databases in the default paths stipulated by man(1) and updates the cache in /var/www/cache/man.cgi.

Its arguments are as follows:

-f  Force an update to all files.

-v  Print each file being updated.

-C file
    Specify an alternative configuration file in man.conf(5) format.

-M manpath
    Use the colon-separated path instead of the default list of paths searched for mandocdb(8) databases. Invalid paths, or paths without manual databases, are ignored.

-m manpath
    Prepend the colon-separated paths to the list of paths searched for mandocdb(8) databases. Invalid paths, or paths without manual databases, are ignored.

-o path
    Update into the directory tree under path.

Cache updates occur when a mandocdb(8) database is older than the cached copy unless -f is specified, in which case files are always considered out of date. Cached manual pages are only updated if older than the master copy.

ENVIRONMENT

MANPATH
    Colon-separated paths modifying the default list of paths searched for manual databases. Invalid paths, or paths without manual databases, are ignored. Overridden by -M. If MANPATH begins with a ‘’:, it is appended to the default list; else if it ends with ‘’:, it is prepended to the default list; else if it contains ‘::’, the default list is inserted between the colons. If none of these conditions are met, it overrides the default list.

EXIT STATUS

SEE ALSO
mandoc(1), man.cgi(7), mandocdb(8)

AUTHORS
The catman utility was written by Kristaps Dzonsons, kristaps@bsd.lv.